---
- job:
    name: kolla-ansible-centos8-source
    parent: kolla-ansible-base
    nodeset: kolla-ansible-centos8
    vars:
      base_distro: centos
      install_type: source
      tls_enabled: true

- job:
    name: kolla-ansible-debian-source-aarch64
    parent: kolla-ansible-debian-source
    nodeset: kolla-ansible-debian-aarch64
    voting: false
    timeout: 10800
    required-projects:
      - openstack/kolla

- job:
    name: kolla-ansible-debian-source
    parent: kolla-ansible-base
    nodeset: kolla-ansible-debian
    voting: false
    vars:
      base_distro: debian
      install_type: source
      tls_enabled: true

- job:
    name: kolla-ansible-ubuntu-source
    parent: kolla-ansible-base
    nodeset: kolla-ansible-bionic
    vars:
      base_distro: ubuntu
      install_type: source
      tls_enabled: true

- job:
    name: kolla-ansible-ubuntu-source-multinode-ipv6
    parent: kolla-ansible-ipv6-base
    nodeset: kolla-ansible-bionic-multi
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-binary
    parent: kolla-ansible-base
    nodeset: kolla-ansible-centos8
    voting: false
    vars:
      base_distro: centos
      install_type: binary

- job:
    name: kolla-ansible-ubuntu-binary
    parent: kolla-ansible-base
    nodeset: kolla-ansible-bionic
    voting: false
    vars:
      base_distro: ubuntu
      install_type: binary

- job:
    name: kolla-ansible-centos8-source-ceph-ansible
    parent: kolla-ansible-ceph-ansible-base
    nodeset: kolla-ansible-centos8-multi
    timeout: 9000
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-ubuntu-source-ceph-ansible
    parent: kolla-ansible-ceph-ansible-base
    nodeset: kolla-ansible-bionic-multi
    timeout: 9000
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-source-mariadb
    parent: kolla-ansible-mariadb-base
    nodeset: kolla-ansible-centos8-multi
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-ubuntu-source-mariadb
    parent: kolla-ansible-mariadb-base
    nodeset: kolla-ansible-bionic-multi
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-source-upgrade
    parent: kolla-ansible-base
    nodeset: kolla-ansible-centos8
    timeout: 9000
    vars:
      base_distro: centos
      install_type: source
      is_upgrade: yes

- job:
    name: kolla-ansible-debian-source-upgrade
    parent: kolla-ansible-base
    nodeset: kolla-ansible-debian
    timeout: 9000
    voting: false
    vars:
      base_distro: debian
      install_type: source
      is_upgrade: yes

- job:
    name: kolla-ansible-debian-source-upgrade-aarch64
    parent: kolla-ansible-debian-source-upgrade
    nodeset: kolla-ansible-debian-aarch64

- job:
    name: kolla-ansible-ubuntu-source-upgrade
    parent: kolla-ansible-base
    nodeset: kolla-ansible-bionic
    timeout: 9000
    vars:
      base_distro: ubuntu
      install_type: source
      is_upgrade: yes

- job:
    name: kolla-ansible-centos8-source-upgrade-ceph-ansible
    parent: kolla-ansible-ceph-ansible-base
    nodeset: kolla-ansible-centos8-multi
    timeout: 9000
    vars:
      base_distro: centos
      install_type: source
      is_upgrade: yes

- job:
    name: kolla-ansible-ubuntu-source-upgrade-ceph-ansible
    parent: kolla-ansible-ceph-ansible-base
    nodeset: kolla-ansible-bionic-multi
    timeout: 9000
    vars:
      base_distro: ubuntu
      install_type: source
      is_upgrade: yes

- job:
    name: kolla-ansible-centos8-source-bifrost
    parent: kolla-ansible-bifrost-base
    nodeset: kolla-ansible-centos8
    vars:
      base_distro: centos

- job:
    name: kolla-ansible-centos8-source-zun
    parent: kolla-ansible-zun-base
    nodeset: kolla-ansible-centos8-multi
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-ubuntu-source-zun
    parent: kolla-ansible-zun-base
    nodeset: kolla-ansible-bionic-multi
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-source-swift
    parent: kolla-ansible-swift-base
    nodeset: kolla-ansible-centos8-multi
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-ubuntu-source-swift
    parent: kolla-ansible-swift-base
    nodeset: kolla-ansible-bionic-multi
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-source-scenario-nfv
    parent: kolla-ansible-scenario-nfv-base
    nodeset: kolla-ansible-centos8-multi
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-centos8-source-ironic
    parent: kolla-ansible-ironic-base
    nodeset: kolla-ansible-centos8
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-centos8-binary-ironic
    parent: kolla-ansible-ironic-base
    nodeset: kolla-ansible-centos8
    vars:
      base_distro: centos
      install_type: binary

- job:
    name: kolla-ansible-ubuntu-source-ironic
    parent: kolla-ansible-ironic-base
    nodeset: kolla-ansible-bionic
    vars:
      base_distro: ubuntu
      install_type: source

# Not running this job because the ironic-neutron-agent image is not available
# for Ubuntu binary.
- job:
    name: kolla-ansible-ubuntu-binary-ironic
    parent: kolla-ansible-ironic-base
    nodeset: kolla-ansible-bionic
    vars:
      base_distro: ubuntu
      install_type: binary

- job:
    name: kolla-ansible-ubuntu-source-masakari
    parent: kolla-ansible-masakari-base
    nodeset: kolla-ansible-bionic
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-source-masakari
    parent: kolla-ansible-masakari-base
    nodeset: kolla-ansible-centos8
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-centos8-source-cells
    parent: kolla-ansible-cells-base
    nodeset: kolla-ansible-centos8-multi
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-ubuntu-source-linuxbridge
    parent: kolla-ansible-linuxbridge-base
    nodeset: kolla-ansible-bionic
    vars:
      base_distro: ubuntu
      install_type: source

- job:
    name: kolla-ansible-centos8-source-ovn
    parent: kolla-ansible-ovn-base
    nodeset: kolla-ansible-centos8-multi
    vars:
      base_distro: centos
      install_type: source

- job:
    name: kolla-ansible-ubuntu-source-ovn
    parent: kolla-ansible-ovn-base
    nodeset: kolla-ansible-bionic-multi
    vars:
      base_distro: ubuntu
      install_type: source
